package ru.yandex.webmaster3.viewer.http.links;

import org.joda.time.DateTime;

import ru.yandex.webmaster3.core.http.RequestQueryProperty;
import ru.yandex.webmaster3.viewer.http.AbstractUserVerifiedHostRequest;

/**
 * @author aherman
 */
public class GetInternalLinkBrokenHistoryRequest extends AbstractUserVerifiedHostRequest {
    private DateTime dateFrom = DateTime.now().minusMonths(3);
    private DateTime dateTo = DateTime.now();

    public DateTime getDateFrom() {
        return dateFrom;
    }

    @RequestQueryProperty
    public void setDateFrom(DateTime dateFrom) {
        this.dateFrom = dateFrom;
    }

    public DateTime getDateTo() {
        return dateTo;
    }

    @RequestQueryProperty
    public void setDateTo(DateTime dateTo) {
        this.dateTo = dateTo;
    }
}
